## org.hibernate.metamodel.source.annotations.attribute.type
Class AbstractAttributeTypeResolver

    java.lang.Object
      org.hibernate.metamodel.source.annotations.attribute.type.AbstractAttributeTypeResolver

All Implemented Interfaces:
  AttributeTypeResolver

Direct Known Subclasses:
  AttributeTypeResolverImpl, EnumeratedTypeResolver, LobTypeResolver, TemporalTypeResolver

    public abstract class AbstractAttributeTypeResolver

extends Object
implements AttributeTypeResolver

Constructor Summary
`AbstractAttributeTypeResolver()`

Method Summary
`String` `getExplicitHibernateTypeName()`
`Map<String,String>` `getExplicitHibernateTypeParameters()`
`protected abstract org.jboss.jandex.AnnotationInstance` `getTypeDeterminingAnnotationInstance()`
`protected abstract String` `resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance annotationInstance)`
`protected Map<String,String>` `resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance annotationInstance)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAttributeTypeResolver

    public AbstractAttributeTypeResolver()

Method Detail

### getTypeDeterminingAnnotationInstance

    protected abstract org.jboss.jandex.AnnotationInstance getTypeDeterminingAnnotationInstance()

### resolveHibernateTypeName

    protected abstract String resolveHibernateTypeName(org.jboss.jandex.AnnotationInstance annotationInstance)

### resolveHibernateTypeParameters

    protected Map<String,String> resolveHibernateTypeParameters(org.jboss.jandex.AnnotationInstance annotationInstance)

### getExplicitHibernateTypeName

    public final String getExplicitHibernateTypeName()

  Specified by:
    `getExplicitHibernateTypeName` in interface `AttributeTypeResolver`
  Returns:
    returns an explicit hibernate type name in case the mapped attribute has an additional `Type` annotation or an implicit type is given via the use of annotations like `Lob`, `Enumerated` and `Temporal`.

### getExplicitHibernateTypeParameters

    public final Map<String,String> getExplicitHibernateTypeParameters()

  Specified by:
    `getExplicitHibernateTypeParameters` in interface `AttributeTypeResolver`
  Returns:
    Returns a map of optional type parameters. See `AttributeTypeResolver.getExplicitHibernateTypeName()`.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.